GCLOUD_DEPLOYMENT-MANAGER_DEPLOYMENTS_CREATE(1)

NAME

gcloud deployment-manager deployments create - create a deployment

SYNOPSIS

gcloud deployment-manager deployments create DEPLOYMENT_NAME --config CONFIG [--async] [--description DESCRIPTION] [--preview] [--properties [PROPERTIES,...]] [GLOBAL-FLAG ...]

DESCRIPTION
This command inserts (creates) a new deployment based on a provided config file.

POSITIONAL ARGUMENTS
DEPLOYMENT_NAME
    Deployment name.

REQUIRED FLAGS
--config CONFIG
    Filename of config which specifies resources to deploy.

OPTIONAL FLAGS
--async
    Return immediately and print information about the Operation in progress rather than waiting for the Operation to complete. (default=False)
--description DESCRIPTION
    Optional description of the deployment to insert.
--preview
    Preview the requested create without actually instantiating the underlying resources. (default=False)
--properties [PROPERTIES,...]
    A comma seperated, key=value, map to be used when deploying a template file directly.

GLOBAL FLAGS
Run $ gcloud help for a description of flags available to all commands.

EXAMPLES
To create a new deployment, run:
    $ gcloud deployment-manager deployments create my-deployment \
        --config config.yaml --description "My deployment"
To preview a deployment without actually creating resources, run:
    $ gcloud deployment-manager deployments create my-new-deployment \
        --config config.yaml --preview
To instantiate a deployment that has been previewed, issue an update command for that deployment without specifying a config file.